> For the complete documentation index, see [llms.txt](https://docs.explodely.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.explodely.com/ipn-for-sellers/sale-ipn.md).

# Sale IPN

When a sale of any of your account product happens, Explodely.com sends a SALE type IPN to your IPN listener within a minute or two. The following parameters are sent to your IPN listener.

orderid => order ID of the Explodely.com sale transaction

\
type => sale

\
productId => Explodely.com Product ID of the sale

\
productName => Explodely Product Name of the sale

\
customerName => Customer Full Name

\
customerEmail => Customer Email

\
customerPhone => Customer Phone Number

\
affiliate => Explodely.com affiliate ID (if any else its blank)

\
amount => Amount of sale

\
vat => Sales tax of transaction (if any else its blank or zero)

\
saletimedate => Sale Time & Date In Format HH:MM:SS DD-MMM-YYYY

\
saletimestamp => Machine timestamp of sale

\
zipcode => ZIP Code of a customer

\
country => Country Code (2 Digit ISO) Of The Customer

\
billdesc => Descriptor For The Customer Charge

\
custom1 => Custom parameter 1 value

\
custom2 => Custom parameter 2 value

\
custom3 => Custom parameter 3 value

\
custom4 => Custom parameter 4 value

\
custom5 => Custom parameter 5 value

\
obselected => Will be set as “yes” if order bump is selected by the customer<br>

ipadd => Customer IP address

The below 2 parameters will be sent if the sale is a rebill sale.

rebill => Will be set as "yes" always for rebill sales

mainorderid => Explodely order ID of the initial sale of the rebill sale

\
**Other than the above parameters,** following parameters will also be sent if your product is physical and not digital.

shipfullname => Full Name (Shipping Address)

shipaddress1 => Shipping Street Address

shipaddress2 => Shipping Apt/Suite/Other

shipcity => Shipping City

shipstate => Shipping State

shipcountry => Shipping Country Code (2 Digit ISO)

shipzipcode => Shipping Address Zip Code


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.explodely.com/ipn-for-sellers/sale-ipn.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
